/*!
 * App style
 */

 @import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&display=swap');

 .subFont {
    font-family: "Libre Baskerville", serif;
 }

  :root {
    --swiper-pagination-bullet-size: 20px;
    --swiper-navigation-color: var(--primary) !important;
    --swiper-theme-color: var(--primary) !important;
    --swiper-pagination-bullet-horizontal-gap: 8px;
    --swiper-pagination-bullet-inactive-opacity: 1;
    --swiper-pagination-bullet-inactive-color: var(--primary); 
    --swiper-pagination-color: var(--primary); 
    --swiper-navigation-size: 30px !important;
    --height-banner: max(300px, min(52vw, 700px)); 
    --height-logo: max(110px, min(12vw, 230px)) !important;
    --size-font: 16px;
    --distanzaHeaderTop: max(16px, min(2.77vw, 38px));
    --margin-top-header: 55px;
    --giallo: #FEC000;
    --columns-2: 2;
    --columns-3: 3;
    --columns-4: 4;
    --columns-5: 5;
    --columns-6: 6;
    /* Numero di colonne, puoi cambiare questo valore da 1 a 6 */
    --gap: 10px;
    /* Gap tra gli elementi della griglia */

  }

  *,
  *::before,
  *::after {
    box-sizing: border-box;
  }
  
  html {
    width: 100%;
    overflow: auto;
    font-size: 10px;
  }
  footer a{
      color: white;
  }

  html.no-overflow {
    overflow: hidden;
  }
 
  html,
  body {
    height: 100%;
    overflow-x: clip;
  }

  .img-cover {width: 100%; height: 100%; object-fit: cover;}
  .img-contain {width: 100%; height: 100%; object-fit: contain;}
  
  body{
  /* background-color: black; */
    background-color: white;
    color: black;
    width: 100%;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    top: initial !important;
    position: initial !important;
    padding:0 !important;
  }

  a,
  a:hover {text-decoration: none;}
  a:hover{
    color: var(--primary) !important;
  }

  h1,h2,h3,h4,h5,h6{
    font-family: "Montserrat", sans-serif;
  }

  hr{
    border-color: var(--primary);
  }
  p{
    margin: 0;
    font-size: 1.2rem;
  }

  .gap-row{
    row-gap: 5px;
  }
  .gap-column{
    column-gap: 5px;
  }
  .gap-row-1{
    row-gap: 10px;
  }
  .gap-column-1{
    column-gap: 10px;
  }
  .gap-row-2{
    row-gap: 20px;
  }
  .gap-column-2{
    column-gap: 20px;
  }
  .gap-row-3{
    row-gap: 30px;
  }
  .gap-column-3{
    column-gap: 30px;
  }

  .container-mouse{
    position: sticky;
    height: 60px;
    width: 100%;
    top:
    min(calc(100vh - 90px), calc(100% - 30px));
    /* bottom: 10px; */
    z-index: 2;
    display: grid;
    place-items: center;
  }
  .container-mouse .mouse{
    width: 30px;
    height: 100%;
    border: 4px solid white;
    border-radius: 30px;
    position: relative;
    /* box-shadow: inset 0px 0px 1px #00000070, 0px 0px 1px #00000070; */
  }
  .container-mouse .mouse .rotellina{
    display: block;
    width: 12px;
    height: 12px;
    border-radius: 100%;
    background-color: white;
    position: absolute;
    top: 5px;
    left: 50%;
    transform: translate(-50%);
    animation: scrollMouse infinite ease-in-out 1s;
  }
  @keyframes scrollMouse{
    0% {
      top: 5px;
      transform: translate(-50%) scale(0)
    }
    22% {
      transform: translate(-50%) scale(1)
    }
    78% {
      transform: translate(-50%) scale(1);
    }
    100% {
      top: 33px;
      transform: translate(-50%) scale(0);
    }
    
  }
  #powered {
      width: 120px;
  }
  #powered :is(#mtn-line, #mtn-heart){
    fill: white;
  }
  .img-zoomed{
    overflow: hidden;
  }
  .img-zoomed img {
      transform: scale(1);
      transition: all 500ms ease-in-out;
  }
  .img-clip{
    clip-path: polygon(12% 0%, 100% 0%, 88% 100%, 0% 100%);
  }

  .swiper_multi{
    padding-bottom: 10px !important;
  }
  .swiper_multi-pagination.swiper-pagination{
    position: relative;
    --swiper-pagination-top: 10px;
    --swiper-pagination-bottom: 0px;
  }
  .swiper-pagination-bullet-active{
    position: relative;
  }
  .swiper-pagination-bullet-active::after{
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    transform: translate(-50%, -50%) scale(0.5);
    background-color: white;
  }
  .hamburger-menu{
    width: 37px;
    left: 0;
    position: absolute;
  }

  .close-menu, #hamburger{
    cursor: pointer;
    width: 37px;
  }
  .close-menu{
    z-index: 1;
    position: absolute;
  }
  :is(#hamburger, .close-menu)>span {
    display: block;
    height: 5px;
    background-color: white;
    transition: all .4s ease-in-out;
    border-radius: 5px;
  }
  .no-banner :is(#hamburger, .close-menu) > span{
    background-color: white;
  }
  .close-menu{
    /* margin-top: 60px; */
    /* margin-top: 32px; */
  }
  .close-menu>span{
    background-color: white !important;
  }
  :is(#hamburger, .close-menu)>span:not(:last-child) {
    margin-bottom: 6px;
  }
  :is(#hamburger, .close-menu)> :is(span:nth-child(1), span:nth-child(3)) {
    transition-delay: 0.4s;
  }
  body.menu-opened #hamburger>span:nth-child(1),
  .close-menu>span:nth-child(1){
    transform: translateY(7px) rotate(-45deg);
  }
  body.menu-opened #hamburger>span:nth-child(2),
  .close-menu>span:nth-child(2){
    width: 0;
  }
  body.menu-opened #hamburger>span:nth-child(3),
  .close-menu>span:nth-child(3){
    transform: translateY(-15px) rotate(45deg);
  }
  #backdrop, #backdrop-flip {
    display: none;
    background-color: rgb(0 0 0 / 40%);
    width: 100vw;
    /* height: 100vh; */
    height: 100%;
    position: fixed;
    z-index: 100;
    top: initial;
  }
  body.menu-opened #backdrop, 
  body.flip-opened #backdrop-flip{
    display: block;
  }

  .menu{
    z-index: 1001;
    width: 100vw;
    transform: translateY(-100vh);
    height: 100vh;
    /* max-height: 800px; */
    max-height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    transition: transform .4s ease-in-out;
  
    background-color: black;
    color: var(--primary);
  }
  .menu .content{
    height: 100%;
    padding-top: 32px;
  }
  .menu .banner_menu img:not(.active){ 
    display: none;
  }
  .menu .banner_menu img{
    aspect-ratio: 16 / 9;
    object-fit: cover;
    max-height: 300px;
  }
  body.menu-opened .menu{
    transform: translate(0);
  }
  .menu :is(.navbar-nav .nav-link, .dropdown-menu .dropdown-item){
    font-family: "Montserrat";
    /* text-transform: uppercase; */
    font-weight: 600;
    font-size: 2rem;
    line-height: 3rem;
    padding: 0;
    text-align: left;
    color: var(--primary);
  }
  .menu a:hover{
    color: white !important;
  }
  .menu :is(.dropdown-item:hover, .dropdown-item:focus){
    background-color: transparent !important;
  }
  .menu .dropdown-menu .dropdown-item{
    padding-left: 20px;
    padding-bottom: 2px;
    font-weight: 200;
  }
  .menu .navbar-nav{
    padding: 20px 0px 0 0;
  }
  .menu .dropdown-menu{
    background-color: transparent;
    position: relative !important;
    transform: translate(0) !important;
    
    border-bottom: 3px solid white;
    padding-bottom: 10px;
    margin-bottom: 10px;
    max-width: 300px;
    margin-right: auto;
  }
  .pulsante{
    --colore-sfondo-pulsante: var(--primary);
    display: block;
    position: relative;
    width: max-content;
    text-transform: uppercase;
    padding: 9px 10px !important;
    padding-inline: max(20px, min(3.47vw, 40px));
    font-family: "Montserrat", sans-serif;
    font-weight: bold;
    font-size: 16px;
    line-height: 16px;
    text-decoration: none;
    background-color: transparent;
    border: 0;    
    border: 3px solid var(--colore-sfondo-pulsante);
    background-color: var(--colore-sfondo-pulsante);
    color: black !important;
    border-radius: 34px;
  }
  .pulsante:is(:hover, .active){
    text-decoration: none;
    background-color: white;
    color: var(--colore-sfondo-pulsante) !important;
  }
  .pulsante.other{
    z-index: 1;
    padding: 10px 20px;
    font-size: 16px;
  }
  .pulsante:hover::before{
    /* width: 0; */
    transition: width 0.5s ease-in-out;
  }

  .pulsante.inverted{
    --colore-sfondo-pulsante: var(--white);
    color: var(--primary) !important;
    min-width: 160px;
    text-align: center;
  }
  
  .pulsante.inverted:is(:hover, .active){
    background-color: transparent;
    color: white !important;
  }
  

  .card:hover .img-zoomed img, .img-zoomed:hover img{
    transform: scale(1.1);
  }
  .prodotto-small .img-zoomed:hover img{
    transform: scale(1.4);
  }

  .scroll-custom::-webkit-scrollbar{
    width: 5px;
    height: 10px;
  }

  .scroll-custom::-webkit-scrollbar-thumb{
    background: rgba(90, 90, 90, 0.374);
  }

  .scroll-custom::-webkit-scrollbar-track{
    background: rgba(0, 0, 0, 0);
  }


/* Fallback con poligono (approssimazione) */
@supports not (clip-path: path("M0 0")){
  .curva{
    clip-path: polygon(
      0% 8%, 10% 10%, 20% 12%, 30% 14%, 40% 16%, 50% 18%,
      60% 16%, 70% 14%, 80% 12%, 90% 10%, 100% 8%,
      100% 24%, 90% 26%, 80% 28%, 70% 30%, 60% 32%, 50% 34%,
      40% 32%, 30% 30%, 20% 28%, 10% 26%, 0% 24%
    );
  }
}

  header{
    z-index: 1000;
    background-color: transparent;
    position: fixed;
    top: 0;
    margin:0;
    padding-block: var(--distanzaHeaderTop);
    width: 100%;
    height: var(--altezzaHeader);
    transition: all 0.2s ease-in-out;
  }
  header.sticky{
    margin-top: 0;
    background-color: black;
    box-shadow: 0px 0px 4px 2px #0000005e;
    padding-block: 10px;
  }
  body.no-banner header.sticky{
    background-color: black;
  }
  header.sticky .navbar-brand img{
    --height-logo: 70px;
  }
  header #logo_mobile img{
    --height-logo: 53px;
  }

  header .navbar-brand img{
    height: var(--height-logo);
  }

  .header-bottom{
    --hb: max(500px, min(78vw, 1070px));
    position: relative;
    height: var(--hb); 
    background-color: transparent;
    z-index:2;
  }
  .header-bottom::before{
    content: "";
    z-index: 1;
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    /* background: linear-gradient(180deg, #000000 0%, #00000000 100%); */
    background: linear-gradient(180deg, #00000070 0%, #00000000 100%)
  }
  body:not(.home) .header-bottom{
    height: max(380px, min(65vw, 620px));
  }
  body .header-bottom.no-banner{
    height: 80px;
    position: relative;
  }
  body:not(.sticky) .header-bottom.no-banner{
    position: sticky;
    top: 0;
    width: 100%;
  }
  .header-bottom-container{
    position: absolute;
    top: 0;
    height: calc(100% + var(--margin-over, var(--margin-top-header)));
    /* width: 150vw; */
    width: 100vw;
    left: 50%;
    transform: translate(-50%);
    /* border-radius: 0% 0% 50% 50% / 0% 0% 20% 20%; */
    background-color: var(--primary);
    border-bottom: 8px solid var(--primary);
    overflow: hidden;
  }
  .header-bottom.no-banner .header-bottom-container{
   background-color: black;
   border-bottom-color: black; 
   height: var(--hb) !important; 
   bottom: calc(-1 * var(--margin-top-header));
   top: initial;
  }
  body.sticky.no-banner .header-bottom-container{
    border-radius: 0;
  }
  .header-bottom-container .swiper{
    height: 100%;
  }
  .swiper{
    width: 100%;
  }
  .swiper .swiper-slide{
    position: relative;
  }
  .swiper .img-slider{
    position: absolute;
    top:0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* object-position: bottom left !important; */
    object-position: center center !important;
  }
  .header-bottom-container .swiper .img-slider{
    /* border-radius: 0% 0% 50% 50% / 0% 0% 20% 20%; */
  }
  .banner_home .swiper .img-slider{
    /* object-fit: center right !important; */
  }
  .swiper .layout-banner{
    font-size: max(24px, min(4.1vw, 40px));
    line-height: max(26px, min(4.5vw, 44px));
    color: #ffffff;
    /* background-color: rgba(0, 0, 0, 0.30); */
    overflow: hidden;
    background-color: transparent;
  }
  body.home .swiper .layout-banner{
    padding-top: max(400px, min(40vw, 680px));
  }
  body:not(.home) .swiper .layout-banner{
    padding-top: 290px;
  }
  

  .container-ultra-fluid {
    width: 100vw !important;
    transform: translateX(-50%);
    left: 50%;
    display: block;
    position: relative;
  }

  .curva{
    width: 100%;
    background-image: url(/media/svg/curva.svg);
  }

  #blocco-contatti .titolo{
    font-size: 3.25rem;
    line-height: 3rem;
  }
  #blocco-contatti .section-heading p{
    font-size: max(1rem, 16px);
  }
  #blocco-contatti .section-heading h2{
    font-size: 3.25rem;
    line-height: 3rem;
  }
  #blocco-contatti :is(.form-control, textarea){
    border-color: #707070;
    border-radius: 9px;
    margin-bottom: 8px;
    font-size: max(1rem, 16px);
  }
  #blocco-contatti :is(.form-control){
    height: 28px;
  }
  
  #blocco-contatti :is(.form-control, textarea)::placeholder{
    color: black;
  }
  .error404{
    background-color: var(--primary);
  }
  #blocco-error404 h1{
    color: black;
    text-align: center;
    padding-top: 50px;
    padding-bottom: 20px;
    padding-inline: 7px;    
    font-size: max(40px, min(6.9vw, 60px));
  }

  #blocco-video .container-video{
    height: max(380px, min(53vw, 500px));
    position: relative;
  }
  #blocco-video .container-video video{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top:0;
    left:0;
    z-index:0;
  }
  .video-player{
    position: fixed;
    width: 100%;
    height: 100%;
  }
/** HOME */
#blocco-ricette {
    background-color: var(--giallo);
    min-height: 333px;
}
#blocco-ricette .med {
    margin-bottom: 40px;
    min-height: 620px;
    display: flex;
    align-items: start;
    justify-content: space-between;
    background-image: url('/media/italia.png');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.section-heading{
  padding-top: 20px;
}
.section-heading h2{
  color: black;
  text-transform: uppercase;
  font-size: 32px;
  line-height: 1;
  font-weight: 700;
}
#blocco-ricette .titolo {
    text-transform: uppercase;
    font-size: 4.7rem;
    text-align: left;
    line-height: 1;
    font-weight: 700;
}
#blocco-ricette svg{
  max-width: 400px;
  margin-left: auto;
  display: block;
}

#blocco-ricette .sotto-titolo {
  font-family: "Montserrat", sans-serif;
  text-transform: uppercase;
  font-size:1.75rem;
  text-align: left;
  margin-right: auto;
  display: block;
  color: black;
}
#blocco-ricette .sotto-titolo:hover {
  color: white !important;
}

.notepad {
  border-radius: 20px;
  background-color: #ffffff;
  box-shadow: 0px 3px 6px #00000029;
  overflow: hidden;
  width: min(calc(50vw - 20px), 299px);
  display: block;
  border:0 !important;
}
.notepad img{
    /* height: max(140px, min(24vw, 180px)); */
    height: 180px;
    width: 100%;
    object-fit: cover; 
  }

#blocco-ricette .notepad:first-child {
  align-self: end;;
}

.notepad .info {
  padding: 12px 30px;
  min-height: max(100px, min(17vw, 200px));
}
.notepad .info hr{
  border-color: var(--primary);
}
.notepad .info .hlight{
  font-size: max(14px, min(2.43vw, 20px));
  text-align: center; 
}

.notepad .titolo {
  font-size: max(18px, min(26px, 3.125vw)) !important;
  text-align: center !important;
  color: #000000;
  font-weight: 700 !important;
  max-width: 80%;
  margin: auto;
}


  section[id^="blocco"]{
    margin-bottom: 50px;
  }
  body.no-banner section[id^="blocco"]{
    margin-top: var(--margin-top-header);
  }
  #blocco-categorie {
      /* margin-top: 40px; */
      margin-bottom: 60px;
  } 

  #blocco-categorie .titolo, #blocco-altre-ricette .titolo {
      font-size: 20px;
      text-align: center;
      font-weight: 600;
      color: #000000;
      width: 100%;
      text-transform: uppercase;
      margin-bottom: 0px;
      font-weight: bold;
      font-family: "Montserrat", sans-serif;
  }
  #blocco-categorie .tray .label {
      color: #000000;
      font-size: 18px;
      line-height: 1;
      font-weight: 600;
      text-align: center;
  }

 #belly-banner .container-fluid{
      max-width: 1300px;
  }
  #belly-banner .titolo {
    font-size: max(3.7rem, min(6.4vw, 4.7rem));
    line-height: 1;
    color: #fff;
    text-align: center;
    line-height: 1;
  }


  
  #belly-banner .butbanner{
    height: 47px;
    border-radius: 24px;
    width: fit-content;
    padding: 0 44px !important;
    background-color: var(--colore-sfondo-pulsante);
    color: var(--txtcolor) !important;
    align-items: center;
    display: flex;
    font-weight: 700;
    margin-top: 40px;
    font-family: "Montserrat", sans-serif !important;
    border: 2px solid var(--colore-sfondo-pulsante);
  }
  #belly-banner .butbanner:hover{
      color: white !important;
      /* background-color: transparent !important; */
  }


  #blocco-shop{
    padding-top: 40px;
  }
  #blocco-shop .titolo{
    font-size: 3.25rem;
    line-height: 3rem;
    text-transform: uppercase;
    text-align: center;
  }
  
  #blocco-shop .decoration svg {
    position: absolute;
    height: max(80px, min(10vw, 140px));
    bottom: 100%;
    right: 0;
    top: 0;
    transform: translateY(-50%);
    /* transform: translate(50%); */
  }
  
  .blog{
    padding-bottom: 60px;
    padding-top: var(--margin-top-header);
    background-color: var(--primary);
    min-height: 300px;
    overflow: hidden;
  }
  .blog svg{
    height: max(100px, min(17vw, 196px));
    max-height: 196px;
    position: absolute;
    top:0;
    left: 10px;
  }
  .blog .img-blocco{
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.8;
    width: 440px;
  }
  .blog .titolo{
    text-transform: uppercase;
    font-size: 4.7rem;
    text-align: right;
    line-height: 1;
    font-weight: 700;
  } 
  .blog:not(#blocco-ricette) .notepad{
    width: 100%;
  }
  .blog .notepad{
    border: 0 !important;
    box-shadow: 0px 3px 6px #00000029 !important;
  }
  .blog .griglia{
    gap: 16px;
  }
  .notepad .card-footer{
    display: none;
  }

  .swiper-dettaglio-ricetta{
    position: relative;
    /* height: 100%; */
    height: 550px;
  }
  .swiper-dettaglio-ricetta .img-slider{
    object-position: top;
    object-fit: cover;
  }
  .content-img-slider-ricetta{
    position: absolute;
    width: 100%;
    height: 100%;
    top:0;
    left:0;
    z-index: 1;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    padding-bottom: 40px;
  }
  .contenuto-main{
    padding-top: 54px;
    padding-bottom: 70px;
    font-size: 18px;
    text-align: center;
  }
  .contenuto-main h1{
    font-weight: bold;
    font-family: "Montserrat", sans-serif;
    color: black;
    /* font-size: 2rem; */
    font-size: 32px;
    max-width: 100%;
  }
  .contenuto-main hr{
    border-color: var(--primary);
  }
  .bg-primary .contenuto-main hr{
    border-color: white;
  }
  .contenuto-main :is(.half, .full){
    --size-col: 100%;
  }
  .contenuto-main :is(.half, .full) p{
    padding-block: 10px;
  }
  .contenuto-main :is(.half, .full){
    flex: 0 0 var(--size-col);
    width: var(--size-col);
    max-width: var(--size-col);
    display: inline-block;
    vertical-align: middle;
    margin: auto !important;
  }
  .contenuto-main :is(.half, .full) img{
    width: 100%;
    height: auto;
    object-fit: cover;
    /* padding-block: 10px; */
    display: block;
    margin: auto;
  }
  .contenuto-main :is(.half, .full) a.img-zoomed{
    width: 100%;
    height: 100%;
    display: block;
  }

  #banner_azienda img{
    height: 100%;
    aspect-ratio: 16/9;
    position: relative;
  }
  #banner_azienda{
    padding-top: 30px;
    padding-bottom: 20px;
  }
  #banner_azienda .layout-banner{padding: 0; display: none;}
  .blocco-prodotto-ricetta{
    background-color: white;
    border-radius: 20px;
    box-shadow: 0px 3px 6px #00000029;
    margin-block: 30px;
  }
  .blocco-prodotto-ricetta .img-zoomed{
    border-radius: 20px;
    height: 100%;
  }
  .blocco-prodotto-ricetta .img-zoomed img{
    height: 100% !important;
  }
  .blocco-prodotto-ricetta img{
    padding: 0 !important;
  }
  .blocco-prodotto-ricetta .content{
    padding-block: 15px;
  }
  .blocco-prodotto-ricetta .content h4{
    padding-top: 15px !important;
    margin-bottom: 0;
    font-family: "Montserrat", sans-serif;
    font-weight: bold;
    color: black;
    font-size: 2rem;
  }
  .pagination{
    font-family: "Montserrat", sans-serif;
    gap: 5px;
  }
  .pagination .page-item{
    width: 34px;
    height: 34px;
  }
  .pagination .page-item:not(.prec, .nos){
    box-shadow: 0px 0px 6px #00000029;
  }
  .pagination .page-link{
    display: flex;
    align-items: center;
    justify-content: center; 
    padding:0;
    height:100%;
    background-color: white !important;
    color: black !important;  
    border:0;
  }
  .pagination .page-item:is(.active, :hover) .page-link{
    background-color: var(--primary) !important;
    color: white !important;
  }

  .pagination .page-item:is(.prec, .nos) .page-link{
    background-color: transparent !important;
  }

  .pagination .page-item.disabled .page-link{
    color: #6c757d !important;
  }

  .product-details{
    padding-top: 10px;
  }
  .product-details .peso-prodotto{
   font-family: "Montserrat", sans-serif;
   font-size: 18px;
   color: black;
   font-weight: 200;
   display: block;
   margin-bottom: 2px;
  }
  .product-details hr{
    margin:0;
  }
  .product-details .modello{
    font-size: 18px;
    font-family: "Montserrat", sans-serif;
    font-weight: bold;
    color: black;
    display: block;
    margin-top: 5px;
    text-transform: capitalize;
  }
  .main {
    --gap: 6%;
    /* justify-content: space-between; */
    column-gap: var(--gap);
  }
  .flip .back{
    position:absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
  }
  .prodotto-small .back{
    background-color: var(--primary);
    border-radius: 20px;
    box-shadow: 0px 3px 6px #00000029;
    min-height: 100%;
    height: auto;
    z-index: 1;
  }
  .prodotto-small .back:hover{
    box-shadow: 0px 3px 6px #0000007d;
  }
  .prodotto-small img{
    aspect-ratio: 1;
    object-fit: contain;
    transform: scale(1.5); 
  }
  .flip .back .content{
    padding: 20px;
    height: 100%;
    position: relative;
  }
  .flip .back .content .close{
    position: absolute;
    top: 25px;
    right: 25px;
    font-size: 30px;
    line-height: 1;
    opacity: 1;
    cursor: pointer;
    color: white;
  }
  .flip .back .content .close:hover{
    text-shadow: 0px 0px 5px #00000069;
  }
  .flip .back .content h4{
    color: white;
    font-weight: bold;
    font-family: "Montserrat", sans-serif;
    /* font-size: max(14px, min(2.4vw, 28px)); */
    font-size: 18px;
    text-transform: capitalize;
    width: calc(100% - 30px);
    word-break: break-word;
    
  }
  :is(.flip .back, .blocco-prodotto-ricetta) .content hr {
    width: 50px;
    border-width: 3px;
    margin-inline: 0;
    border: 0;
    border-radius: 3px;
    height: 3px;
    background-color: black;
  }
  :is(.flip .back, .blocco-prodotto-ricetta) .content .dettaglio-prodotto{
    display: block;
    font-size: 12px;
  }

  .flip :is(.front, .back){
    --time: 0.9s;
    transition-timing-function: cubic-bezier(.175, .885, .32, 1.275); 
    /* transition-timing-function: linear; */
    transition-duration: var(--time);
    backface-visibility: hidden;
    transition-property: transform;
  }
  .flip .front{
    transition-delay: 0.25s;
    transform: perspective(2500px) rotateY(0);
  }
  .flip.on .back{
    z-index: 900;
  }
  .flip.on .front{
    transition-delay: 0s;
    transform: perspective(2500px) rotateY(-100deg);  
  }
  .flip .back{
    transform: perspective(2500px) rotateY(100deg);  
    transition-delay: 0s;
  }
  .flip.on .back{
    transform: perspective(2500px) rotateY(0);
    transition-delay: 0.25s;
  }
  .main .prodotto-small {
    --w: 100%;
    position: relative;
    flex: 0 0 var(--w);
    max-width: var(--w);
    margin-bottom: 30px;
  }
  .main .prodotto-small .info-prod{
    display: none;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 1; 
  }
  .main .prodotto-small:hover .info-prod{
    display: block;
  }
  .main .prodotto-small .info-prod .info-icon{
    --size: max(33px, min(4.2vw, 45px)); 
    --width-g: max(100px, min(13vw, 175px));

    position: relative;
    font-family: "Montserrat", sans-serif;
    /* font-size: max(20px, min(3.47vw, 27px)); */
    font-size: max(15px, min(1.9vw, 20px));
    font-weight: bold;

    display: flex;
    justify-content: center;
    align-items: center;

    background-color: #E6AF04;
    color: white;
    border-radius: 25px;
    height: var(--size);
    width: var(--size);
    overflow: hidden;
    /* padding: 0px 40px 0px 28px; */
  }
  @keyframes grow {
    from {
      width: var(--size);
      padding:0;
    }
    to {
      width: var(--width-g);
      padding-left: 28px;
      padding-right: max(40px, min(5.2vw, 60px));
    }
  }
  .main .prodotto-small:hover .info-prod .info-icon{
    animation: grow 0.5s ease forwards;
    animation-delay: 0.2s;
   }
  .main .prodotto-small .info-prod .info-icon i{
    background-color: var(--primary);
    color: white;
    border-radius: 100%;
    position: absolute;
    top:0;
    right: 0;
    width: var(--size);
    height: var(--size);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 6px;
  }
  .main .prodotto-small .info-prod .info-icon:hover{
    color: white !important;
    /* text-shadow: 0px 0px 4px #000000ad */
  }
/** FOOTER */

footer {
    border-top: 19px solid var(--giallo);
    background-color: #000000;
    color: #ffffff;
    font-size: 16px;
    font-family: "Montserrat", sans-serif;
}


footer .colonna-social {
    display: flex;
    flex-direction: column;
    /* align-items: end; */
}

footer .titolo {font-size: 20px; font-weight: bold;}
.social-footer {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    column-gap: 8px;
    padding:0;
}
footer #logo-footer img{
  max-height: 100px;
}
footer .contenuto-indirizzo{
  text-align: center;
}


.social-footer a{
  display: flex;
  width: 23px; 
  height: 23px;
  align-items: center;
  justify-content: center;
  border-radius: 12px;
  background-color: white;
  font-size: 16px;
  color: #000;
} 

footer .footer-line{
  font-size: 10px;
}

#mailing .blocco-newsletter {
    background-color: white;
    display: flex;
    flex-wrap: nowrap;
    padding: 10px;
}
#mailing .blocco-newsletter input#email {
    border-radius: 0;
    height: 40px;
    border: 1px solid #BABABA;
    border: 0;
    box-shadow: none;
}
#mailing .blocco-newsletter input#email::placeholder {
   font-size: 16px;
   line-height: 22px;
 }
 
 #mailing .blocco-newsletter #conferma {
   outline: none;
   color: white;
   border: 0;
   padding: 10px 28px;
   max-height: 40px;
   display: flex;
   align-items: center;
   background-color: #191919;
 }
 
 #mailing .blocco-newsletter {
   background-color: white;
   display: flex;
   flex-wrap: nowrap;
   padding: 10px;
 }
 
 #mailing .esito_invio {
   color: var(--primary);
   font-weight: bold;
   background-color: white;
   text-align: center;
   padding: 10px;
 }
 
 #mailing #gdpr-checkbox-newsletter,
 #gdpr-checkbox {
   /* display: none; */
   opacity: 0.001;
   position: absolute;
 }
 
 #mailing #gdpr-checkbox-newsletter+label .custom-check-correct,
 #gdpr-checkbox+label .custom-check-correct {
   position: relative;
   width: 10px;
   height: 10px;
   background-color: transparent;
   border: 1px solid white;
   border-radius: 100%;
 }
 
 #gdpr-checkbox+label .custom-check-correct {
   border-color: var(--primary);
   display: inline-block;
 }
 
 #mailing #gdpr-checkbox-newsletter+label span {
   font-size: 12px;
   margin-left: 4px;
   line-height: 14px;
   color: white;
 }
 
 #mailing #gdpr-checkbox-newsletter+label span a {
   color: white;
 }
 
 #mailing #gdpr-checkbox-newsletter+label .custom-check-correct::after,
 #gdpr-checkbox+label .custom-check-correct::after {
   content: "";
   position: absolute;
   background-color: transparent;
   height: 5px;
   width: 5px;
   left: 50%;
   top: 50%;
   transform: translate(-50%, -50%);
   transition: transform 0.2s ease-in-out;
   border-radius: 100%;
 }
 
 #mailing #gdpr-checkbox-newsletter:checked+label .custom-check-correct::after,
 #gdpr-checkbox:checked+label .custom-check-correct::after {
   content: "";
   /* background-color: white; */
   background-color: var(--primary);
 }

#privacy .optadv {background-color: #fff; padding: 7px 11px; border: 1px solid rgba(0,0,0,.6)}
#privacy #accetta-selezionati,
#__accept {
    background-color: #117fc7;
    color: #fff;
    border-radius: 0;
}
#privacy .modal-dialog {position: relative;}
#privacy .modal-dialog:before {
    content: '';
    display: flex;
    position: absolute;
    width: 600px;
    height: 600px;
    background-color: var(--giallo);
    transform: translate(0);
    left: -50px;
    /* top: 110px; */
    border-radius: 50%;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.5);
}
#privacy .modal-header {display:none;}
#privacy .modal-footer {display:none;}
#privacy .modal-body {position: relative; font-size: .905rem; line-height: 1.3;}
#privacy .modal-body:before {
    content: '';
    width: 120px;
    height: 120px;
    background-image: url(/media/logopart.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 80%;
    border: 1px solid #000;
    position: absolute;
    z-index: 2;
    top: -140px;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 100%;
    padding: 10px;
}
#privacy .modal-content {
    border: none;
    border-radius: 0;
    box-shadow: none;
    background-color: transparent!important;
}

@media (min-width: 576px) {
  .row-cols-sm-2>* {
      flex: 0 0 48%;
      max-width: 48%;
  }
  .main .prodotto-small{
    --w: 47%;
  }
}
@media screen and (min-width: 768px){
  html{
    font-size: 16px;
  }

  .close-menu{
    position: relative;
  }
  .hamburger-menu{
    right: 0;
    left: initial !important;
  }
  body .header-bottom.no-banner{
    height: max(120px, min(15vw, 320px));
  }
  .menu .navbar-nav{
    padding: 20px 40px 0 0;
  }
  .menu :is(.navbar-nav .nav-link, .dropdown-menu .dropdown-item){
    text-align: right;
  }
  .menu .dropdown-menu{
    margin-left: auto;
    margin-right: 0;
  }
  #blocco-categorie .titolo, #blocco-altre-ricette .titolo{
    font-size: 1.875rem;
  }
  #blocco-categorie .tray .label{
    font-size: 1.125rem;
  }

  .menu{
    max-height: 650px;
  }
  .menu :is(.navbar-nav .nav-link, .dropdown-menu .dropdown-item){
    font-size: 25px;
    line-height: 30px;
  } 
  .row-cols-md-3>* {
    flex: 0 0 31%;
    max-width: 31%;
  }
  .blog svg{
    position: relative;
    top:initial;
    right: initial;
  }
  #blocco-shop .decoration svg{
    /* transform:initial; */
    /* right:0; */
    /* bottom: 0; */
  }

  .main{
    --gap: 5%;
  }
  .main .prodotto-small {
    --w: 30%;
  }

  .main .prodotto-small .info-prod .info-icon{
    /* font-size: max(15px, min(1.9vw, 20px)); */
  }
  .contenuto-main{
    text-align: left;
  }
  .contenuto-main h1:not(.titolo){
    max-width: 66%;
  }
  .contenuto-main :is(.half){
    --size-col: 49%;
  }
  footer .contenuto-indirizzo{
    text-align: left;
  }
}
@media screen and (min-width: 992px) {
  .row-cols-lg-4>* {
      flex: 0 0 23%;
      max-width: 23%;
  }
  .main .prodotto-small {
    --w: 30%;
  }
  .flip .back .content h4{
    /* font-size: max(24px, min(2vw, 28px)); */
    font-size: 18px;
  }
}
@media screen and (min-width: 1200px){
  #blocco-shop{
    padding-top: 90px;
  }
  .container, .container-sm, .container-md, .container-lg, .container-xl {
      max-width: 1245px !important;
  }
  .main{
    --gap: 2%;
  } 
  .main .prodotto-small {
    --w: 23.5%;
  }
}
